org.eclipse.zest.core.viewers

## Interface ISelfStyleProvider

    public interface ISelfStyleProvider

Provides a mechanism to style nodes and edges when they are created. After each node or edge is created, the self styling method will be called with both the element and the widget.

### Method Summary

Methods
`void` `selfStyleConnection(java.lang.Object element, GraphConnection connection)` Styles a connection
`void` `selfStyleNode(java.lang.Object element, GraphNode node)` Styles a node

### Method Detail

#### selfStyleConnection

    void selfStyleConnection(java.lang.Object element,
                           GraphConnection connection)

Styles a connection

#### selfStyleNode

    void selfStyleNode(java.lang.Object element,
                     GraphNode node)

Styles a node